## festvox-czech-ph 0.1

=== Makefile ===
# Configuration

festival_voices_path = /usr/share/festival/voices

# End of configuration

package := voice-czech-ph
version := 0.1

destdir = $(festival_voices_path)/czech/czech_ph

.PHONY: all install uninstall dist dist-src dist-bin lpc-files viewcvs-bug

all: festvox/czech_ph.scm lpc-files group/ph.group

lpc-files: $(patsubst wav/%.wav, lpc/%.lpc, $(wildcard wav/*.wav))
viewcvs-bug:
	mkdir -p lpc group
lpc/ph0000.lpc: wav/ph0000.wav pm/ph0000.pm viewcvs-bug
	./tools/make_lpc $<
lpc/%.lpc: wav/%.wav pm/%.pm etc/powfacts etc/pf/% viewcvs-bug
	./tools/make_lpc $<

$(wildcard etc/pf/*):
	true

etc/pf/%: etc/powfacts
	fgrep `basename $@` etc/powfacts | head -1 | awk '{ print $$2 }' > $@

# pm-files: $(patsubst wav/%.wav, pm/%.pm, $(wildcard wav/*.wav))
# pm/%.pm: wav/%.wav
# 	./tools/make_pm_wave $<
# 	./tools/make_pm_fix $@

festvox/czech_ph.scm: festvox/czech_ph.scm.in
	sed 's/DESTDIR/$(subst /,\/,$(destdir))/' $< > $@

group/ph.group: lpc-files
	festival -b make-group.scm

clean:
	rm -rf $(package)-$(version) $(package)-$(version).tar
	rm -rf $(package)-bin-$(version) $(package)-bin-$(version).tar
	rm -f $(package)-$(version).tar.gz $(package)-bin-$(version).tar.gz
	rm -f festvox/czech_ph.scm

distclean: clean
	rm -f lpc/* group/*

maintainer-clean: distclean

install: group/ph.group festvox/czech_ph.scm
	install -d $(destdir)
	install -d $(destdir)/festvox
	install -m 644 festvox/czech_ph.scm $(destdir)/festvox/
	install -d $(destdir)/group
	install -m 644 group/ph.group $(destdir)/group/

uninstall:
	rm -f $(destdir)/festvox/czech_ph.scm $(destdir)/group/ph.group
	-rmdir $(destdir)/festvox
	-rmdir $(destdir)/group

dist: clean dist-src dist-bin

dist-src:
	rm -rf $(package)-$(version) $(package)-$(version).tar $(package)-$(version).tar.gz
	mkdir $(package)-$(version)
	cp -a COPYING INSTALL Makefile README* *.scm dic doc etc festvox lab pm tools wav $(package)-$(version)/
	mkdir $(package)-$(version)/group
	mkdir $(package)-$(version)/lpc
	for d in `find $(package)-$(version) -name CVS -o -name .arch-ids`; do rm -r $$d; done
	tar cf $(package)-$(version).tar $(package)-$(version)
	gzip -9 $(package)-$(version).tar

dist-bin: all
	rm -rf $(package)-bin-$(version) $(package)-bin-$(version).tar $(package)-bin-$(version).tar.gz
	mkdir $(package)-bin-$(version)
	cp -a COPYING INSTALL README* festvox group $(package)-bin-$(version)/
	sed '/festival -b make-group.scm/d' Makefile > $(package)-bin-$(version)/Makefile
	for d in `find $(package)-bin-$(version) -name CVS -o -name .arch-ids`; do rm -r $$d; done
	tar cf $(package)-bin-$(version).tar $(package)-bin-$(version)
	gzip -9 $(package)-bin-$(version).tar

=== debian/changelog ===
festvox-czech-ph (0.1-6) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 01:16:25 +0100

festvox-czech-ph (0.1-5) unstable; urgency=medium

  * Team upload.
  * Use canonical anonscm vcs URL.
  * control: Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:42:49 +0200

festvox-czech-ph (0.1-4) unstable; urgency=medium

  [ Sergio Oller ]
  * Package maintained by the debian tts team. Closes: #730988
  * Switch to dh builds.
  * Bump Standards-Version to 3.9.8.
  * Update debian/compat to 9.

  [ Samuel Thibault ]
  * Fix build due to missing empty lpc directory.

 -- Sergio Oller <sergioller@gmail.com>  Wed, 18 Jan 2017 00:41:44 +0100

festvox-czech-ph (0.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated to debhelper 7.
  * Don't ignore `make distclean' errors.
  * Homepage field added.
  * debian/copyright updated.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 10:14:50 +0100

festvox-czech-ph (0.1-2) unstable; urgency=low

  * Depend on festival-czech instead of just recommending it.

 -- Milan Zamazal <pdm@debian.org>  Wed, 18 Jul 2007 13:17:31 +0200

festvox-czech-ph (0.1-1) unstable; urgency=low

  * Initial release; closes: #364955.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Apr 2006 11:40:25 +0200

=== debian/control ===
Source: festvox-czech-ph
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
Uploaders: Sergio Oller <sergioller@gmail.com>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: festival, speech-tools
Standards-Version: 4.4.0
Homepage: http://devel.freebsoft.org/festival-czech-diphone-database
Vcs-Git: https://salsa.debian.org/tts-team/festvox-czech-ph.git
Vcs-Browser: https://salsa.debian.org/tts-team/festvox-czech-ph

Package: festvox-czech-ph
Architecture: all
Depends: festival, festival-czech, ${misc:Depends}
Description: Czech male speaker for Festival
 This is a native Festival Czech diphone voice, developed by the Free(b)soft
 project.

=== debian/rules ===
#!/usr/bin/make -f

package := festvox-czech-ph

override_dh_auto_build:
	mkdir -p lpc
	ESTDIR=/usr dh_auto_build

override_dh_auto_install:
	ESTDIR=/usr $(MAKE) install festival_voices_path=debian/$(package)/usr/share/festival/voices

%:
	dh $@

=== debian/watch ===
version=3
http://devel.freebsoft.org/pub/projects/festival-czech-diphone-database/voice-czech-ph-@ANY_VERSION@@ARCHIVE_EXT@
